<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_ExceptionalFinanceCosts" xlink:label="workspacegroupplc_ExceptionalFinanceCosts" />
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_ChangeInFairValueOfOtherInvestments" xlink:label="workspacegroupplc_ChangeInFairValueOfOtherInvestments" />
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_FairValueOfDerivative" xlink:label="workspacegroupplc_FairValueOfDerivative" />
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_PurchaseOfInvestmentPropertiesClassifiedAsInvestingActivities" xlink:label="workspacegroupplc_PurchaseOfInvestmentPropertiesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_CapitalExpenditureOnInvestmentPropertiesClassifiedAsInvestingActivities" xlink:label="workspacegroupplc_CapitalExpenditureOnInvestmentPropertiesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_SettlementOfDefinedBenefitPensionSchemeClassifiedAsInvestingActivities" xlink:label="workspacegroupplc_SettlementOfDefinedBenefitPensionSchemeClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_FinanceCostsForNewAmendedBorrowingFacilitiesClassifiedAsFinancingActivities" xlink:label="workspacegroupplc_FinanceCostsForNewAmendedBorrowingFacilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" xlink:label="workspacegroupplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" />
    <loc xlink:type="locator" xlink:href="2138003GUZRFIN3UT430-2024-03-31.xsd#workspacegroupplc_DescriptionOfAccountingPolicyForDirectCosts" xlink:label="workspacegroupplc_DescriptionOfAccountingPolicyForDirectCosts" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_ExceptionalFinanceCosts" xlink:to="label_workspacegroupplc_workspacegroupplcExceptionalFinanceCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_ChangeInFairValueOfOtherInvestments" xlink:to="label_workspacegroupplc_workspacegroupplcChangeInFairValueOfOtherInvestments_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_FairValueOfDerivative" xlink:to="label_workspacegroupplc_workspacegroupplcFairValueOfDerivative_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_PurchaseOfInvestmentPropertiesClassifiedAsInvestingActivities" xlink:to="label_workspacegroupplc_workspacegroupplcPurchaseOfInvestmentPropertiesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_CapitalExpenditureOnInvestmentPropertiesClassifiedAsInvestingActivities" xlink:to="label_workspacegroupplc_workspacegroupplcCapitalExpenditureOnInvestmentPropertiesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_SettlementOfDefinedBenefitPensionSchemeClassifiedAsInvestingActivities" xlink:to="label_workspacegroupplc_workspacegroupplcSettlementOfDefinedBenefitPensionSchemeClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_FinanceCostsForNewAmendedBorrowingFacilitiesClassifiedAsFinancingActivities" xlink:to="label_workspacegroupplc_workspacegroupplcFinanceCostsForNewAmendedBorrowingFacilitiesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_DescriptionOfAccountingPolicyForConsiderationOfClimateChange" xlink:to="label_workspacegroupplc_workspacegroupplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="workspacegroupplc_DescriptionOfAccountingPolicyForDirectCosts" xlink:to="label_workspacegroupplc_workspacegroupplcDescriptionOfAccountingPolicyForDirectCosts_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_workspacegroupplc_workspacegroupplcExceptionalFinanceCosts_Standard" id="workspacegroupplc_workspacegroupplcExceptionalFinanceCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Exceptional finance costs</label>
    <label xlink:label="label_workspacegroupplc_workspacegroupplcChangeInFairValueOfOtherInvestments_Standard" id="workspacegroupplc_workspacegroupplcChangeInFairValueOfOtherInvestments_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Change in fair value of other investments</label>
    <label xlink:label="label_workspacegroupplc_workspacegroupplcFairValueOfDerivative_Standard" id="workspacegroupplc_workspacegroupplcFairValueOfDerivative_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Fair value of derivative</label>
    <label xlink:label="label_workspacegroupplc_workspacegroupplcPurchaseOfInvestmentPropertiesClassifiedAsInvestingActivities_Standard" id="workspacegroupplc_workspacegroupplcPurchaseOfInvestmentPropertiesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Purchase of investment properties classified as investing activities</label>
    <label xlink:label="label_workspacegroupplc_workspacegroupplcCapitalExpenditureOnInvestmentPropertiesClassifiedAsInvestingActivities_Standard" id="workspacegroupplc_workspacegroupplcCapitalExpenditureOnInvestmentPropertiesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Capital expenditure on investment properties classified as investing activities</label>
    <label xlink:label="label_workspacegroupplc_workspacegroupplcSettlementOfDefinedBenefitPensionSchemeClassifiedAsInvestingActivities_Standard" id="workspacegroupplc_workspacegroupplcSettlementOfDefinedBenefitPensionSchemeClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Settlement of defined benefit pension scheme classified as investing activities</label>
    <label xlink:label="label_workspacegroupplc_workspacegroupplcFinanceCostsForNewAmendedBorrowingFacilitiesClassifiedAsFinancingActivities_Standard" id="workspacegroupplc_workspacegroupplcFinanceCostsForNewAmendedBorrowingFacilitiesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Finance costs for new/ amended borrowing facilities classified as financing activities</label>
    <label xlink:label="label_workspacegroupplc_workspacegroupplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" id="workspacegroupplc_workspacegroupplcDescriptionOfAccountingPolicyForConsiderationOfClimateChange_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for consideration of climate change</label>
    <label xlink:label="label_workspacegroupplc_workspacegroupplcDescriptionOfAccountingPolicyForDirectCosts_Standard" id="workspacegroupplc_workspacegroupplcDescriptionOfAccountingPolicyForDirectCosts_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="en">Description of accounting policy for direct costs</label>
  </labelLink>
</linkbase>